Package org.apache.solr.client.solrj.request.beans

# Class ModifyCollectionPayload

java.lang.Object
org.apache.solr.client.solrj.request.beans.ModifyCollectionPayload

All Implemented Interfaces:
  `MapSerializable`, `MapWriter`, `NavigableObject`, `ReflectMapWriter`, `org.noggit.JSONWriter.Writable`

public class ModifyCollectionPayload extends Object implements ReflectMapWriter

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.apache.solr.common.MapWriter

`MapWriter.EntryWriter`

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`async`
`String`
`config`
`Map<String,Object>`
`properties`
`Boolean`
`readOnly`
`Integer`
`replicationFactor`

### Fields inherited from interface org.apache.solr.common.MapWriter

`EMPTY`

## Constructor Summary

Constructors
Constructor
Description
`ModifyCollectionPayload()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.solr.common.MapWriter

`jsonStr, toMap, write`

### Methods inherited from interface org.apache.solr.common.NavigableObject

`_forEachEntry, _forEachEntry, _forEachEntry, _get, _get, _getStr, _getStr, _size`

### Methods inherited from interface org.apache.solr.common.util.ReflectMapWriter

`writeMap`

## Field Details

### replicationFactor

public Integer replicationFactor

### readOnly

public Boolean readOnly

### config

public String config

### properties

public Map<String,Object> properties

### async

public String async

## Constructor Details

### ModifyCollectionPayload

public ModifyCollectionPayload()